Welcome to the New BigPanda API Documentation
curl --location --request PUT 'https://api.bigpanda.io/resources/alert-enricher/schemas/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"type": "advanced_mapping",
"execution_order": "6",
"name": "map-schema 5",
"config": {
"fields": [
{
"type": "query_tag",
"tag_name": "offset"
},
{
"type": "query_tag",
"tag_name": "agent"
},
{
"type": "result_tag",
"tag_name": "region"
},
{
"type": "result_tag",
"tag_name": "email",
"groups": [
{
"fields": [
{
"type": "group_tag",
"tag_name": "alert_group"
},
{
"type": "group_tag",
"tag_name": "ticket_active"
}
],
"order": 1,
"name": "alert_group_ticket_active",
"method": "union"
},
{
"fields": [
{
"type": "group_tag",
"tag_name": "alert_group"
}
],
"order": 2,
"name": "alert_group",
"method": "first_match"
}
]
}
]
}
}'{
"type": "advanced_mapping",
"execution_order": "6",
"name": "map-schema 5",
"config": {
"fields": [
{
"type": "query_tag",
"tag_name": "offset"
},
{
"type": "query_tag",
"tag_name": "agent"
},
{
"type": "result_tag",
"tag_name": "region"
},
{
"type": "result_tag",
"tag_name": "email",
"groups": [
{
"fields": [
{
"type": "group_tag",
"tag_name": "alert_group"
},
{
"type": "group_tag",
"tag_name": "ticket_active"
}
],
"order": 1,
"name": "alert_group_ticket_active",
"method": "union"
},
{
"fields": [
{
"type": "group_tag",
"tag_name": "alert_group"
}
],
"order": 2,
"name": "alert_group",
"method": "first_match"
}
]
}
]
}
}